const path = require('path');

const frontendConf = {
  mode: 'production',
  target: "web",
  entry: path.resolve(__dirname, '..', 'js', 'src', 'Frontend.js'),
  output: {
      path: path.resolve(__dirname, '..', 'js', 'src'),
      filename: "Frontend.js",
      libraryTarget: 'commonjs',
  },
  resolve: {
    extensions: [".ts", ".tsx", ".js"]
  },
  optimization: {
    minimize: false,
  },
}

module.exports =  [frontendConf]
